- page_title _("Packages")
- can_destroy_package = can?(current_user, :destroy_package, @project)

- if @packages.any?
  .table-holder
    .gl-responsive-table-row.table-row-header{ role: 'row' }
      .table-section.section-30{ role: 'rowheader' }
        = _('Name')
      .table-section.section-20{ role: 'rowheader' }
        = _('Version')
      .table-section.section-20{ role: 'rowheader' }
        = _('Type')
      .table-section.section-20{ role: 'rowheader' }
        = _('Created')
      .table-section.section-10{ role: 'rowheader' }
    - @packages.each do |package|
      .gl-responsive-table-row
        .table-section.section-30
          .table-mobile-header{ role: "rowheader" }= _("Name")
          .table-mobile-content.flex-truncate-parent
            = link_to package.name, project_package_path(@project, package), class: 'flex-truncate-child'
        .table-section.section-20
          .table-mobile-header{ role: "rowheader" }= _("Version")
          .table-mobile-content
            = package.version
        .table-section.section-20
          .table-mobile-header{ role: "rowheader" }= _("Type")
          .table-mobile-content
            = package.package_type
        .table-section.section-20
          .table-mobile-header{ role: "rowheader" }= _("Created")
          .table-mobile-content
            = time_ago_with_tooltip(package.created_at)
        .table-section.section-10
          .table-mobile-header{ role: "rowheader" }
          .table-mobile-content
            - if can_destroy_package
              .pull-right
                = link_to project_package_path(@project, package), method: :delete, data: { confirm: _("Are you sure?") }, class: "btn btn-grouped btn-inverted btn-remove", title: _('Delete Package') do
                  = icon('trash')
    = paginate @packages, theme: "gitlab"
- else
  .row.empty-state
    .col-12
      = render 'shared/packages/no_packages'
